QGIS Application - Bug report #10966

with OTFR on $area is always computed in square meters even if the CRS is in feet (and QGIS
project/general configs too)

2014-07-28 01:05 PM - Randal Hale

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 19314
Description

This is the only way | know how to explain it. If you have a shapefile/Spatialite layer and you turn on "enable on the fly CRS
transformation" you do not get a correct area calculation. Typically it is off by a factor of 10 but in this example it's off a bit more. Example:
| have a spatialite layer of polygons. If | calculate acreage of a polygon in it's native CRS | get an acreage calculation of 208.72. If | turn on
"Project on the fly" the acreage calculation is then 19.47. It's still wrong if | make sure the Map Canvas is in the native projection of the
data layer and Project on the fly is enabled. It's wrong if | move the CRS to match a different data layer (CRS of the imagery). It's right if |
turn off Project on the fly and change my map canvas to match the CRS of the data layer.

| am calculating acres by opening the field calculator and executing $area / 43560 (area in is square feet)

All the vector layers are in EPSG:2274

The image layer is in EPSG:26916

| had set in this project the Map Canvas to be EPSG:2274 and Turned on Project on the fly to bring my image layer under my data layers.

I've loaded the files in Google Drive: https:/drive.google.com/file/d/0B8WLtz606XDdU1FwWOTR1eENKQjA/edit?usp=sharing

Related issues:
Related to QGIS Application - Bug report # 12057: Computed area is wrong when... Closed 2015-01-26

History

#1 - 2014-08-02 08:17 AM - Giovanni Manghi

- Subject changed from Area Calculations in QGIS with Project on the fly enabled. to with OTFR on $area is always computed in square meters even if
the CRS is in feet (and QGIS project/general configs too)

- Category changed from Attribute table to Vectors

- Status changed from Open to Feedback

- Operating System deleted (Ubuntu 14.04 UbuntuGIS repo)

- OS version deleted (2.4 )

The edited title says it all. Computations with OTFR on are right... but in meters when feet would be expected (even when the proper configurations are in

feet in general options/project properties). | have no idea if this is a regression since a previous QGIS version. If yes this should be tagged as blocker.

It should be checked also if the same happens for lengths, perimeters and x/y values.

#2 - 2014-08-05 06:40 PM - Antonio Locandro

This is a very good example for a test case for future versions, if test fails needs to be dealt before release
https://drive.google.com/file/d/0B8WLtz606XDdU1FwOTR1eENKQjA/edit?usp=sharing

#3 - 2014-12-29 09:46 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression
- Affected QGIS version changed from 2.4.0 to master
- Status changed from Feedback to Open

it turns to be a regression as it worked as expected at least until 2.0.1

#4 - 2015-03-26 06:22 PM - Randal Hale

Checked in 2.8.1 and it's still providing incorrect area back when OTF Projecting

#5 - 2015-04-19 06:22 AM - Andre Joost

Just another test case:

http://gis.stackexchange.com/questions/143080/qgis-area-calculation-differs-when-on-the-fly-crs-transformation-enabled

It looks to me that OTF produces wrong results (even with the same CRS).

#6 - 2015-04-19 07:38 AM - Giovanni Manghi

Andre Joost wrote:

Just another test case:

http.//gis.stackexchange.com/questions/143080/qqis-area-calculation-differs-when-on-the-fly-crs-transformation-enabled

It looks to me that OTF produces wrong results (even with the same CRS).

see #12057

#7 - 2015-04-19 08:38 AM - Randal Hale

| worked with a client the other day and we were calculating area in EPSG:26916 and it produced the correct area with OTF enabled. | haven't had a

chance to go back and check against another dataset. Of course if it is defaulting to square meters that makes since since 26916 is UTM Zone 16.

#8 - 2015-05-10 02:00 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

merged with #12057
